NSGraph Class Reference

the main class to read the graphic part of a Nisus file More...

`#include <NSGraph.hxx>`

## Public Member Functions

| NSGraph (NSParser &parser)
| constructor More...
virtual | ~NSGraph ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | createZones ()
| finds the different graphic zones More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendPicture (int pictId, bool inPictRsrc, MWAWPosition pictPos, WPXPropertyList extras=WPXPropertyList())
| try to send a picture More...
bool | sendPageGraphics ()
| try to send the page graphic More...
bool | readPLAC (MWAWEntry const &entry)
| read the PLAC resource: a list of picture placements ? More...
bool | readPLDT (NSStruct::RecursifData const &data)
| parse the PLDT resource: a unknown resource More...
bool | readPGRA (MWAWEntry const &entry)
| read the PGRA resource: the number of page? graphics More...
std::vector < NSGraphInternal::RSSOEntry > | findRSSOEntry (MWAWInputStreamPtr inp) const
| try to find a RSSO entry in a picture file More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < NSGraphInternal::State > | m_state
| the state More...
NSParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| NSGraph (NSGraph const &orig)
NSGraph & | operator= (NSGraph const &orig)

## Friends

class | NSParser
class | NSGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a Nisus file

## Constructor & Destructor Documentation

NSGraph::NSGraph | ( | NSParser & | parser | ) |

constructor

NSGraph::~NSGraph | ( |  | ) |

virtual

destructor

NSGraph::NSGraph | ( | NSGraph const & | orig | ) |

private

## Member Function Documentation

bool NSGraph::createZones | ( |  | ) |

protected

finds the different graphic zones

std::vector< NSGraphInternal::RSSOEntry > NSGraph::findRSSOEntry | ( | MWAWInputStreamPtr | inp | ) | const

protected

try to find a RSSO entry in a picture file

Referenced by sendPicture().

void NSGraph::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

int NSGraph::numPages | ( |  | ) | const

returns the number of pages

NSGraph& NSGraph::operator= | ( | NSGraph const & | orig | ) |

private

bool NSGraph::readPGRA | ( | MWAWEntry const & | entry | ) |

protected

read the PGRA resource: the number of page? graphics

read the PGRA resource: the number of page graphic ? (id 20000)

Referenced by createZones().

bool NSGraph::readPLAC | ( | MWAWEntry const & | entry | ) |

protected

read the PLAC resource: a list of picture placements ?

Referenced by createZones().

bool NSGraph::readPLDT | ( | NSStruct::RecursifData const & | data | ) |

protected

parse the PLDT resource: a unknown resource

Referenced by createZones().

bool NSGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

bool NSGraph::sendPicture | ( | int | pictId,
|  | bool | inPictRsrc,
|  | MWAWPosition | pictPos,
|  | WPXPropertyList | extras = `WPXPropertyList()`
| ) |  |

protected

try to send a picture

Referenced by flushExtra(), NSGraphInternal::SubDocument::parse(), and sendPageGraphics().

int NSGraph::version | ( |  | ) | const

returns the file version

Referenced by findRSSOEntry(), and sendPicture().

## Friends And Related Function Documentation

friend class NSGraphInternal::SubDocument

friend

friend class NSParser

friend

## Member Data Documentation

NSParser* NSGraph::m_mainParser

protected

the main parser;

Referenced by createZones(), readPGRA(), readPLAC(), readPLDT(), sendPageGraphics(), and sendPicture().

MWAWParserStatePtr NSGraph::m_parserState

protected

the parser state

Referenced by sendPageGraphics(), sendPicture(), and version().

shared_ptr<NSGraphInternal::State> NSGraph::m_state

protected

the state

Referenced by createZones(), flushExtra(), numPages(), readPGRA(), sendPageGraphics(), and sendPicture().

The documentation for this class was generated from the following files:

- NSGraph.hxx
- NSGraph.cxx